## org.apache.axis.ime.internal
Class MessageExchangeSendContext

    java.lang.Object
      |
      +--org.apache.axis.ime.internal.MessageExchangeReceiveContext
            |
            +--org.apache.axis.ime.internal.MessageExchangeSendContext

All Implemented Interfaces:
  java.io.Serializable

public final class MessageExchangeSendContext
extends MessageExchangeReceiveContext

Note: the only challenge with making this class serializable is that org.apache.axis.MessageContext is currently NOT serializable. MessageContext needs to change in order to take advantage of persistent Channels and CorrelatorServices For thread safety, instances of this class are immutable

Author:
  James M Snell (jasnell@us.ibm.com), Ray Chun (rchun@sonicsoftware.com)
See Also:
  Serialized Form

Field Summary
`protected MessageContext` `context`

Fields inherited from class org.apache.axis.ime.internal.MessageExchangeReceiveContext
`correlator, listener`

Constructor Summary
`protected` `MessageExchangeSendContext()`

Method Summary
`MessageContext` `getMessageContext()`
`static MessageExchangeSendContext` `newInstance(MessageExchangeCorrelator correlator, MessageContext context, MessageExchangeEventListener listener)`

Methods inherited from class org.apache.axis.ime.internal.MessageExchangeReceiveContext
`getMessageExchangeCorrelator, getMessageExchangeEventListener, newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected MessageContext context

Constructor Detail

### MessageExchangeSendContext

    protected MessageExchangeSendContext()

Method Detail

### newInstance

    public static MessageExchangeSendContext newInstance(MessageExchangeCorrelator correlator,
                                                         MessageContext context,
                                                         MessageExchangeEventListener listener)

### getMessageContext

    public MessageContext getMessageContext()

Copyright © 2003 Apache Web Services Project. All Rights Reserved.